Subject: warning if --exclude-dir arg contains /?

From: Karl Berry <[email-masked]>
Date: Mon, 22 Jan 2024 16:48:21 -0700

Would it be crazy for  grep --exclude-dir=foo/bar  to give a warning?

Since, as I understand it, any non-trailing / in the arg can never match
since the arg is matched against the basename.

This came up when I ran grep -r --exclude="t/*.dir", thinking it would
exclude all the test output directories. Nope ... --thanks, karl.